
ipt_create_chain scandetect

if [ "$MODE" != "start" ]; then
	ipt -F scandetect
fi

# drop detected scanner IPs
ipt -A in_inet -m state ! --state ESTABLISHED,RELATED -m recent --rcheck --seconds 180 --hitcount 10 --reap --name scandetect -j DROP

# the final rule befire DROP is scandetect

# skip 3G admin subnets
for ADM_IP in $ADMIN_IPS; do
	ipt4 -A scandetect -s ${ADM_IP} -j RETURN
done

# flag IP as trapped
ipt -A scandetect -m recent --name scandetect --set -j DROP
