ipt4 -A in_inet -s $if_inet_net4 -p tcp --dport 53 -j ACCEPT
ipt4 -A in_inet -s $if_inet_net4 -p udp --dport 53 -j ACCEPT

# disable conntrack
for ip4_tmp in $if_inet_ips4; do
	ipt4 -t raw -A pre_inet -p tcp -m tcp -s $if_inet_net4 -d $ip4_tmp --dport 53 -j NOTRACK
	ipt4 -t raw -A out_inet -p tcp -m tcp -d $if_inet_net4 -s $ip4_tmp --sport 53 -j NOTRACK
	ipt4 -t raw -A pre_inet -p udp -m udp -s $if_inet_net4 -d $ip4_tmp --dport 53 -j NOTRACK
	ipt4 -t raw -A out_inet -p udp -m udp -d $if_inet_net4 -s $ip4_tmp --sport 53 -j NOTRACK
done

for ip6_tmp in $if_inet_ips6; do
	ipt6 -t raw -A pre_inet -p tcp -m tcp -s $if_inet_net6 -d $ip6_tmp --dport 53 -j NOTRACK
	ipt6 -t raw -A out_inet -p tcp -m tcp -d $if_inet_net6 -s $ip6_tmp --sport 53 -j NOTRACK
	ipt6 -t raw -A pre_inet -p udp -m udp -s $if_inet_net6 -d $ip6_tmp --dport 53 -j NOTRACK
	ipt6 -t raw -A out_inet -p udp -m udp -d $if_inet_net6 -s $ip6_tmp --sport 53 -j NOTRACK
done
