## enable local subnet
ipt4 -A in_inet -s $if_inet_net4 -p tcp --dport 21 -j ACCEPT
ipt4 -A in_inet -s $if_inet_net4 -p tcp --dport 2121 -j ACCEPT
ipt4 -A in_inet -s $if_inet_net4 -p tcp --dport 19200:20200 -j ACCEPT

#identd -> REJECT [needed, but DROP if not]
ipt4 -A in_inet -s $if_inet_net4 -p tcp --dport 113 -m limit --limit 4/s -j REJECT

ipt4 -t nat -A pre_inet -s $if_inet_net4 -p tcp --dport 21 -j REDIRECT --to-port 2121

# enable 3G admin subnets
for ADM_IP in $ADMIN_IPS; do
	ipt4 -A in_inet -s ${ADM_IP} -p tcp --dport 21 -j ACCEPT
	ipt4 -A in_inet -s ${ADM_IP} -p tcp --dport 2121 -j ACCEPT
	ipt4 -A in_inet -s ${ADM_IP} -p tcp --dport 19200:20200 -j ACCEPT

	#identd -> REJECT [needed, but DROP if not]
	ipt4 -A in_inet -s ${ADM_IP} -p tcp --dport 113 -m limit --limit 4/s -j REJECT

	ipt4 -t nat -A pre_inet -s ${ADM_IP} -p tcp --dport 21 -j REDIRECT --to-port 2121
done

