# enable local subnet
ipt4 -A in_inet -s $if_inet_net4 -p tcp --dport 8443 -j ACCEPT

# enable 3G admin subnets
for ADM_IP in $ADMIN_IPS; do
	ipt4 -A in_inet -s ${ADM_IP} -p tcp --dport 8443 -j ACCEPT
done

# disable conntrack
for ip4_tmp in $if_inet_ips4; do
	ipt4 -t raw -A pre_inet -p tcp -m tcp -d $ip4_tmp --dport 8443 -j NOTRACK
	ipt4 -t raw -A out_inet -p tcp -m tcp -s $ip4_tmp --sport 8443 -j NOTRACK
done

for ip6_tmp in $if_inet_ips6; do
	ipt6 -t raw -A pre_inet -p tcp -m tcp -d $ip6_tmp --dport 8443 -j NOTRACK
	ipt6 -t raw -A out_inet -p tcp -m tcp -s $ip6_tmp --sport 8443 -j NOTRACK
done
