ipt -A in_inet -p tcp --dport 80 -j ACCEPT
ipt -A in_inet -p tcp --dport 443 -j ACCEPT

# disable conntrack
for ip4_tmp in $if_inet_ips4; do
	ipt4 -t raw -A pre_inet -p tcp -m tcp -d $ip4_tmp --dport 80 -j NOTRACK
	ipt4 -t raw -A out_inet -p tcp -m tcp -s $ip4_tmp --sport 80 -j NOTRACK
	ipt4 -t raw -A pre_inet -p tcp -m tcp -d $ip4_tmp --dport 443 -j NOTRACK
	ipt4 -t raw -A out_inet -p tcp -m tcp -s $ip4_tmp --sport 443 -j NOTRACK
done

for ip6_tmp in $if_inet_ips6; do
	ipt6 -t raw -A pre_inet -p tcp -m tcp -d $ip6_tmp --dport 80 -j NOTRACK
	ipt6 -t raw -A out_inet -p tcp -m tcp -s $ip6_tmp --sport 80 -j NOTRACK
	ipt6 -t raw -A pre_inet -p tcp -m tcp -d $ip6_tmp --dport 443 -j NOTRACK
	ipt6 -t raw -A out_inet -p tcp -m tcp -s $ip6_tmp --sport 443 -j NOTRACK
done
