
# SMTP
ipt -A in_inetbr -p tcp --dport 25 -j ACCEPT
ipt -A in_inetbr -p tcp --dport 587 -j ACCEPT
ipt -A in_inetbr -p tcp --dport 2525 -j ACCEPT
ipt -A in_inetbr -p tcp --dport 465 -j ACCEPT

# POP3
ipt -A in_inetbr -p tcp --dport 110 -j ACCEPT
ipt -A in_inetbr -p tcp --dport 995 -j ACCEPT

# IMAP
ipt -A in_inetbr -p tcp --dport 143 -j ACCEPT
ipt -A in_inetbr -p tcp --dport 993 -j ACCEPT

# SIEVE-MANAGESIEVE
ipt -A in_inetbr -p tcp --dport 4190 -j ACCEPT
ipt -A in_inetbr -p tcp --dport 2000 -j ACCEPT


# disable conntrack
for ip4_tmp in $if_inetbr_ips4; do
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 25 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 25 -j NOTRACK
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 587 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 587 -j NOTRACK
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 2525 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 2525 -j NOTRACK
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 465 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 465 -j NOTRACK

	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 110 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 110 -j NOTRACK
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 995 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 995 -j NOTRACK

	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 143 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 143 -j NOTRACK
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 993 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 993 -j NOTRACK

	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 4190 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 4190 -j NOTRACK
	ipt4 -t raw -A pre_inetbr -p tcp -m tcp -d $ip4_tmp --dport 2000 -j NOTRACK
	ipt4 -t raw -A out_inetbr -p tcp -m tcp -s $ip4_tmp --sport 2000 -j NOTRACK
done

for ip6_tmp in $if_inetbr_ips6; do
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 25 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 25 -j NOTRACK
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 587 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 587 -j NOTRACK
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 2525 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 2525 -j NOTRACK
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 465 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 465 -j NOTRACK

	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 110 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 110 -j NOTRACK
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 995 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 995 -j NOTRACK

	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 143 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 143 -j NOTRACK
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 993 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 993 -j NOTRACK

	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 4190 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 4190 -j NOTRACK
	ipt6 -t raw -A pre_inetbr -p tcp -m tcp -d $ip6_tmp --dport 2000 -j NOTRACK
	ipt6 -t raw -A out_inetbr -p tcp -m tcp -s $ip6_tmp --sport 2000 -j NOTRACK
done
