# -----------------------------------------------------------------------------

# ICMP PING
ipt4 -A infw_all -p icmp --icmp-type echo-request -m limit --limit 10/s -j ACCEPT
ipt6 -A infw_all -p icmpv6 --icmpv6-type echo-request -m limit --limit 10/s -j ACCEPT

# ICMP fragmentation needed (ipv4) / packet too big (ipv6)
ipt4 -A infw_all -p icmp --icmp-type fragmentation-needed -m limit --limit 100/s -j ACCEPT
ipt6 -A infw_all -p icmpv6 --icmpv6-type packet-too-big -m limit --limit 100/s -j ACCEPT

# ICMP time exceeded
ipt4 -A infw_all -p icmp --icmp-type time-exceeded -m limit --limit 10/s -j ACCEPT
ipt6 -A infw_all -p icmpv6 --icmpv6-type time-exceeded -m limit --limit 10/s -j ACCEPT
